quicktime_colr_t Struct Reference

'colr' ImageDescription Extension structure More...

`#include <lqt_atoms.h>`

## Data Fields

int32_t | colorParamType
int16_t | primaries
int16_t | transferFunction
int16_t | matrix

## Detailed Description

'colr' ImageDescription Extension structure

## Field Documentation

int32_t quicktime_colr_t::colorParamType

OSType = 'nclc' for video, 'prof' for print

int16_t quicktime_colr_t::primaries

CIE 1931 xy chromaticity coordinates of red, green, blue primaries and white point

int16_t quicktime_colr_t::transferFunction

Nonlinear transfer function from RGB to Er/Eg/Eb

int16_t quicktime_colr_t::matrix

Matrix from ErEgEb to Ey/Ecb/Ecr

The documentation for this struct was generated from the following file:

- /build/libquicktime-lHmKQ7/libquicktime-1.2.4/include/quicktime/lqt_atoms.h